---
sourceDocument: Australia API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/api-reference

 Release :

    - australia

ft:locale :

    - en-US

ft:publication_title :

    - Australia API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Sales CRM Pricing - DELETE - /api/sn_csm_pricing/v1/pricingengine/pricing_context/{pricing_context_id}

# Sales CRM Pricing - DELETE - /api/sn_csm_pricing/v1/pricingengine/pricing_context/{pricing_context_id} {#ariaid-title1}

Release version: Australia  
Updated October 16, 2019  
![](https://www.servicenow.com/docs/portal-asset/ico-clock) 1 minute to read  
Terminate a session with a given ID that was established during a configurator session.
<br />

## URL format

Versioned URL: /api/sn_csm_pricing/v1/pricingengine/pricing_context/{pricing_context_id}

Default URL: /api/sn_csm_pricing/pricingengine/pricing_context/{pricing_context_id}

## Supported request parameters

{#sales_crm_pricing-DELETE-pricing-context-id__entry__2}{#sales_crm_pricing-DELETE-pricing-context-id__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
| pricing_context_id | ID from pricing engine request when scope is configurator. |
[Table 1. Path parameters]

{#sales_crm_pricing-DELETE-pricing-context-id__entry__8}

| Name | Description |
|-|-|
| None |   |
[Table 2. Query parameters]

{#sales_crm_pricing-DELETE-pricing-context-id__entry__12}

| Name | Description |
|-|-|
| None |   |
[Table 3. Request body parameters (XML or JSON)]

## Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/qh7RcF0RI6a~i9u3octdlg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#sales_crm_pricing-DELETE-pricing-context-id__entry__16}{#sales_crm_pricing-DELETE-pricing-context-id__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Table 4. Request headers]

{#sales_crm_pricing-DELETE-pricing-context-id__entry__20}

| Header | Description |
|-|-|
| status | Indicates the overall outcome of the requested operation. |
| message | A human-readable message that provides more detail about the status. It is useful for logging or for displaying a confirmation to an end-user. In this case, it explicitly states that the deletion was successful. |
| pricing_context_id | The unique of the resource that was affected by the operation. By returning the ID, the API confirms exactly which pricing context has been deleted, which helps prevent ambiguity. |
[Table 5. Response headers]

## Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/qh7RcF0RI6a~i9u3octdlg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#sales_crm_pricing-DELETE-pricing-context-id__entry__28}{#sales_crm_pricing-DELETE-pricing-context-id__entry-200-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
[Table 6. Status codes]

## Response body parameters (JSON or XML)

{#sales_crm_pricing-DELETE-pricing-context-id__entry__32}

| Name | Description |
|-|-|
| None |   |
[ ]

## cURL request

<br />

    curl -i -X DELETE \
    'https://instance.servicenow.com/api/sn_csm_pricing/v1/pricingengine/pricing_context/{pricing_context_id}' \
    --user 'username:password'


